Bug 1291419 - blt.spec uses %define instead of %global
blt.spec uses %define instead of %global
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: blt (Show other bugs)
el6
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dmitrij S. Kryzhevich
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-14 15:39 EST by Jason Tibbitts
Modified: 2016-01-04 18:54 EST (History)
3 users (show)

See Also:
Fixed In Version: blt-2.4-33.z.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-04 18:54:24 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jason Tibbitts 2015-12-14 15:39:36 EST
I'm working on some macros for EL6 to enable better compatibility with more modern packaging idioms.  Unfortunately, these cause problems where the original spec files use %define instead of %global as recommended by the packaging guidelines.  This is the case with blt.

As far as I can tell, %define isn't being used for any of its peculiar behaviors, and that %global works just as well.

I will be happy to fix this up for you; just let me know.
Comment 1 Fedora Update System 2015-12-14 23:13:11 EST
blt-2.4-33.z.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-9668a20931
Comment 2 Jason Tibbitts 2015-12-14 23:22:26 EST
Well that was quick.  Thanks!
Comment 3 Fedora Update System 2015-12-15 22:47:44 EST
blt-2.4-33.z.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update blt'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-9668a20931
Comment 4 Fedora Update System 2016-01-04 18:54:20 EST
blt-2.4-33.z.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.